=== debian/changelog ===
atop (2.4.0-3) unstable; urgency=medium

  * upload to unstable

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 25 Jan 2019 17:41:25 +0100

atop (2.4.0-2) experimental; urgency=medium

  * postinst: check whether atop will read the latest raw file. If not,
    convert the file using atopconvert. Thanks to Sven Hartge (Closes: #919922)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 21 Jan 2019 11:33:16 +0100

atop (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0
    * refresh patches
    * disable atopgpud (needs things from non-free nVidia universe)
    * will now build with glibc 2.28. Thanks to Adrian Bunk (Closes: #916013)
    * will hopefully no longer crash with "Malloc failed for deviated tasks"
      Thanks to Vincent Lefevre for staying on top of this. (Closes: #913910)
    * now calls init script as /bin/bash explicitly. Thanks to Cristian
      Ionescu-Idbohrn (Closes: #853166)
    * command line options are now run-time configurable from
      /etc/defaults/atop. This allows the owners of very big machines to
      turn off options like -R that might affect production on such huge
      boxes. This is mean to address #896767 without deviating from upstream's
      default configuration. Thanks to Manuel Arostegui. This also allows
      local setting of INTERVAL and DAYS. Thanks to Costas Drogos and Roberto
      Suarez Soto (Closes: #861874) (Closes: #877148)
    * now also supports NVMe SSDs. Thanks to Carsten Burkhardt and Damyan
      Ivanov (Closes: #904638)
    * formats process table nicely even with kernel.pid_max > 99999.
      Thanks to Sven Hartge (Closes: #850189)
  * fix outdated mail addresses and URLs in debian/copyright (Closes: #900487)
  * lintian: use dh_maintscript instead of calls to dpkg-maintscript-helper
  * split systemd switch in debian/atop.cron.d in two cron jobs to avoid
    an incomprehensible quoting issue that might cause a cron job to stay
    lingering around on non-systemd systems. Thanks to Arnt Karlsen
    (Closes: #913364)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 13 Jan 2019 16:04:42 +0100
