=== debian/changelog ===
atop (2.5.0-1) unstable; urgency=medium

  * new upstream version 2.5.0
    * refresh patches
    * add patch to disable defaults file handling
  * machine readable debian/copyright
  * watch file version 4
  * Rules-Requires-Root
  * debhelper compatibility level 13
  * Standards-Version 4.5.1
  * prevent ls warning from being printed in postinst on new install
  * give back meaning to /etc/default/atop
    Thanks to Thomas Arendsen Hein (Closes: #960393)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 20 Nov 2020 13:40:52 +0100
