=== debian/rules ===
--- 
+++ 
@@ -7,14 +7,6 @@
 	dh_auto_clean
 	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
 	rm -f atop
-
-override_dh_systemd_enable:
-	dh_systemd_enable atop.service
-	dh_systemd_enable atopacct.service
-
-override_dh_systemd_start:
-	dh_systemd_start atop.service
-	dh_systemd_start atopacct.service
 
 override_dh_installinit:
 	dh_installinit --name=atop
