## atop 2.6.0

=== Makefile ===
--- 
+++ 
@@ -13,14 +13,14 @@
 MAN8PATH = /usr/share/man/man8
 INIPATH  = /etc/init.d
 DEFPATH  = /etc/default
-SYSDPATH = /usr/lib/systemd/system
+SYSDPATH = /lib/systemd/system
 CRNPATH  = /etc/cron.d
 ROTPATH  = /etc/logrotate.d
 PMPATH1  = /usr/lib/pm-utils/sleep.d
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 PMPATHD  = /usr/lib/systemd/system-sleep
 
-CFLAGS  += -O2 -I. -Wall  # -DNOPERFEVENT   # -DHTTPSTATS
+CFLAGS  += -O2 -I. -Wall -Wno-stringop-truncation # -DNOPERFEVENT   # -DHTTPSTATS
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
@@ -30,11 +30,10 @@
 
 VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')
 
-all: 		atop atopsar atopacctd atopconvert
+all: 		atop atopsar atopacctd atopconvert atopcat
 
 atop:		atop.o    $(ALLMODS) Makefile
-		$(CC) -c version.c
-		$(CC) atop.o $(ALLMODS) -o atop -lncurses -lz -lm -lrt $(LDFLAGS)
+		$(CC) atop.o $(ALLMODS) -o atop -lncursesw -lz -lm -lrt $(LDFLAGS)
 
 atopsar:	atop
 		ln -sf atop atopsar
@@ -45,11 +44,11 @@
 atopconvert:	atopconvert.o
 		$(CC) atopconvert.o -o atopconvert -lz $(LDFLAGS)
 
-netlink.o:	netlink.c
-		$(CC) -I. -Wall -c netlink.c
+atopcat:	atopcat.o
+		$(CC) atopcat.o -o atopcat $(LDFLAGS)
 
 clean:
-		rm -f *.o atop atopacctd atopconvert
+		rm -f *.o atop atopacctd atopconvert atopcat
 
 distr:
 		rm -f *.o atop
@@ -137,9 +136,11 @@
 			/sbin/service atop     start;			\
 		fi
 
-genericinstall:	atop atopacctd atopconvert
+genericinstall:	atop atopacctd atopconvert atopcat
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(LOGPATH); fi
+		if [ ! -d $(DESTDIR)$(DEFPATH) ]; 		\
+		then	mkdir -p $(DESTDIR)$(DEFPATH); fi
 		if [ ! -d $(DESTDIR)$(BINPATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(BINPATH); fi
 		if [ ! -d $(DESTDIR)$(SBINPATH) ]; 		\
@@ -169,9 +170,13 @@
 		cp atopconvert 		$(DESTDIR)$(BINPATH)/atopconvert
 		chown root		$(DESTDIR)$(BINPATH)/atopconvert
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
+		cp atopcat 		$(DESTDIR)$(BINPATH)/atopcat
+		chown root		$(DESTDIR)$(BINPATH)/atopcat
+		chmod 0711 		$(DESTDIR)$(BINPATH)/atopcat
 		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
 		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atopconvert.1 	$(DESTDIR)$(MAN1PATH)
+		cp man/atopcat.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
 		cp man/atopacctd.8  	$(DESTDIR)$(MAN8PATH)
 		cp man/atopgpud.8  	$(DESTDIR)$(MAN8PATH)
@@ -183,7 +188,7 @@
 
 atop.o:		atop.h	photoproc.h photosyst.h  acctproc.h showgeneric.h
 atopsar.o:	atop.h	photoproc.h photosyst.h                           
-rawlog.o:	atop.h	photoproc.h photosyst.h             showgeneric.h
+rawlog.o:	atop.h	photoproc.h photosyst.h  rawlog.h   showgeneric.h
 various.o:	atop.h                           acctproc.h
 ifprop.o:	atop.h	            photosyst.h             ifprop.h
 parseable.o:	atop.h	photoproc.h photosyst.h             parseable.h
@@ -202,4 +207,5 @@
 
 atopacctd.o:	atop.h  photoproc.h acctproc.h   atopacctd.h   version.h versdate.h
 
-atopconvert.o:	atop.h  photoproc.h photosyst.h
+atopconvert.o:	atop.h  photoproc.h photosyst.h  rawlog.h
+atopcat.o:	atop.h  rawlog.h
