=== debian/changelog ===
atop (2.6.0-2) unstable; urgency=medium

  * The acct coexistence patch was flawed. Improve it
    Thanks to Joerg Dorchain (Closes: #981091)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 09 Feb 2021 15:34:09 +0100

atop (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0
    * refresh patches
    * adapt debian/copyright
  * fix path to systemctl.
    Thanks to Aaron M. Ucko (Closes: #976125)
  * remove atopsar on debian/rules clean.
    Thanks to Andreas Beckmann (Closes: #976125)
  * add patch to better handle coexistence with the acct package
    Thanks to Sergio Gelato (Closes: #922224)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 20 Jan 2021 19:33:03 +0100
