=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 override_dh_auto_clean:
 	dh_auto_clean
 	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
-	rm -f atop
+	rm -f atop atopsar
 
 override_dh_installinit:
 	dh_installinit --name=atop
