## atop 2.7.1

=== Makefile ===
--- 
+++ 
@@ -48,17 +48,15 @@
 		$(CC) atopcat.o -o atopcat $(LDFLAGS)
 
 clean:
-		rm -f *.o atop atopacctd atopconvert atopcat
+		rm -f *.o atop atopsar atopacctd atopconvert atopcat
 
 distr:
 		rm -f *.o atop
 		tar czvf /tmp/atop.tar.gz *
 
-
-install:
-		@echo Choose either \'make systemdinstall\' or \'make sysvinstall\'
-
-systemdinstall:	genericinstall
+# default install is based on systemd
+#
+install:	genericinstall
 		if [ ! -d $(DESTDIR)$(SYSDPATH) ]; 			\
 		then	mkdir -p $(DESTDIR)$(SYSDPATH); fi
 		if [ ! -d $(DESTDIR)$(PMPATHD) ]; 			\
@@ -88,6 +86,9 @@
 			/bin/systemctl enable  --now atop-rotate.timer;	\
 		fi
 
+
+# explicitly use sysvinstall for System V init based systems
+#
 sysvinstall:	genericinstall
 		if [ ! -d $(DESTDIR)$(INIPATH) ]; 			\
 		then	mkdir -p  $(DESTDIR)$(INIPATH);	fi
@@ -103,8 +104,6 @@
 		cp atop.cronsysv  $(DESTDIR)$(CRNPATH)/atop
 		cp atop.daily     $(DESTDIR)$(SCRPATH)
 		chmod 0711        $(DESTDIR)$(SCRPATH)/atop.daily
-		cp psaccs_atop    $(DESTDIR)$(ROTPATH)/psaccs_atop
-		cp psaccu_atop    $(DESTDIR)$(ROTPATH)/psaccu_atop
 		touch             $(DESTDIR)$(LOGPATH)/dummy_before
 		touch             $(DESTDIR)$(LOGPATH)/dummy_after
 		#
@@ -135,6 +134,7 @@
 			sleep 2;					\
 			/sbin/service atop     start;			\
 		fi
+
 
 genericinstall:	atop atopacctd atopconvert atopcat
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
@@ -156,22 +156,17 @@
 		chmod 644      		$(DESTDIR)$(DEFPATH)/atop
 		#
 		cp atop   		$(DESTDIR)$(BINPATH)/atop
-		chown root		$(DESTDIR)$(BINPATH)/atop
-		chmod 04711 		$(DESTDIR)$(BINPATH)/atop
+		chmod 0711 		$(DESTDIR)$(BINPATH)/atop
 		ln -sf atop             $(DESTDIR)$(BINPATH)/atopsar
 		cp atopacctd  		$(DESTDIR)$(SBINPATH)/atopacctd
-		chown root		$(DESTDIR)$(SBINPATH)/atopacctd
 		chmod 0700 		$(DESTDIR)$(SBINPATH)/atopacctd
 		cp atopgpud  		$(DESTDIR)$(SBINPATH)/atopgpud
-		chown root		$(DESTDIR)$(SBINPATH)/atopgpud
 		chmod 0700 		$(DESTDIR)$(SBINPATH)/atopgpud
 		cp atop   		$(DESTDIR)$(BINPATH)/atop-$(VERS)
 		ln -sf atop-$(VERS)     $(DESTDIR)$(BINPATH)/atopsar-$(VERS)
 		cp atopconvert 		$(DESTDIR)$(BINPATH)/atopconvert
-		chown root		$(DESTDIR)$(BINPATH)/atopconvert
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
 		cp atopcat 		$(DESTDIR)$(BINPATH)/atopcat
-		chown root		$(DESTDIR)$(BINPATH)/atopcat
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopcat
 		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
 		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
