=== debian/changelog ===
atop (2.7.1-1) unstable; urgency=medium

  * new upstream version 2.7.1
     * atop.service now defining type explicitly
     * Correct disk stats in atopsar
     * documentation changes
  * refresh patches
  * copyright clarification in upstream README

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 10 Jan 2022 11:44:14 +0100

atop (2.7.0-1) unstable; urgency=medium

  * new upstream version 2.7.0
    * better handling of accounting data
    * psacc[su]_atop is no longer necessary
    * make systemdinstall is now make install
  * remove rotation helper logrotate snippets
  * don't start atop-rotate.service, it is invoked by timer
  * remove helper log file imitations in postinst
  * Janitor fixes:
    * use debhelper-compat
    * remove obsolete maintscript entry
    * use secure URI in Homepage field
    * trim trailing whitespace
  * add basic salsa-ci. Thanks to Otto Kekäläinen
  * add Upstream metadata
  * create /etc/default/atop as patch from Upstreams file.
    Thanks to Fei Li (Closes: #999448)
  * remove conflicts on non-existing acct.service
  * add first trivial autopkgtest
  * debian/copyright:
    * clarify license for files without explicit license
    * fix double file name
    * fix a typo
    * update year for debian packagin

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 09 Jan 2022 23:27:42 +0100
