=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper (>= 13~), zlib1g-dev, libncurses5-dev
+Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses5-dev
 Standards-Version: 4.5.1
 Rules-Requires-Root: binary-targets
-Homepage: http://atoptool.nl/
+Homepage: https://atoptool.nl/
 Vcs-Git: https://salsa.debian.org/debian/atop.git
 Vcs-Browser: https://salsa.debian.org/debian/atop
