=== debian/rules ===
--- 
+++ 
@@ -15,8 +15,13 @@
 override_dh_auto_install:
 	dh_auto_install
 	make sysvinstall DESTDIR=$(shell pwd)/debian/atop
-	make systemdinstall DESTDIR=$(shell pwd)/debian/atop
+	make install DESTDIR=$(shell pwd)/debian/atop
+	cp atop.default debian/atop.default
 	cp atop.service debian/atop.service
 	cp atopacct.service debian/atopacct.service
 	cp atop.init debian/atop.init
 	cp atopacct.init debian/atopacct.init
+
+override_dh_installsystemd:
+	dh_installsystemd --no-enable --no-start atop-rotate.service
+	dh_installsystemd atop-rotate.timer atop.service atopacct.service
