=== debian/changelog ===
atop (2.8.1-1+deb12u1) bookworm-security; urgency=high

  * add upstream patch fixing CVE-2025-31160

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 01 Apr 2025 08:25:40 +0200

atop (2.8.1-1) unstable; urgency=medium

  * new upstream version 2.8.1
  * activate atopacctd before atop, install atop.default.
    Thanks to Fei Li (Closes: #999448)
  * Remove atop restart from cron.d file (we have a systemd job)
    Thanks to Paweł Bogusławski (Closes: #1020565)
  * Mark atop as buildable without (fake)root
    Thanks to Niels Thykier <niels@thykier.net>
  * simplify 01-numcpus test
  * fix accidentally renamed postinst
  * add debian/README
  * Standards-Version: 4.6.2 (no changes necessary)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Mon, 23 Jan 2023 14:45:02 +0100

atop (2.7.1-2) unstable; urgency=medium

  [ Marc Haber ]
  * we of course need to conflict with acct
  * remove -R from default command line
    upstream has done the same, we're following
    Thanks to Manuel Arostegui (Closes: #896767)
  * fix syntax issue in autopkgtest, add debug output
  * add patch description to atop-rotate-systemctl-path
  * Standards-Version: 4.6.1 (no changes necessary)
  * use https in debian/watch
  * patch some manual page typos flagged by lintian
  * enable all hardening in debian/rules
  * override some lintian warnings

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster
    * atop: Drop versioned constraint on lsb-base in Depends.
    Changes-By: deb-scrub-obsolete

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 13 Jul 2022 12:15:08 +0200
