=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses5-dev
-Standards-Version: 4.5.1
-Rules-Requires-Root: binary-targets
+Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Homepage: https://atoptool.nl/
 Vcs-Git: https://salsa.debian.org/debian/atop.git
 Vcs-Browser: https://salsa.debian.org/debian/atop
@@ -13,7 +13,7 @@
 Package: atop
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, lsb-base (>= 3.2-14)
+Depends: ${shlibs:Depends}, ${misc:Depends}
 Recommends: cron | cron-daemon
 Description: Monitor for system resources and process activity
  Atop is an ASCII full-screen performance monitor, similar to the top command,
