=== debian/rules ===
--- 
+++ 
@@ -1,16 +1,18 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -f debian/atop.service debian/atopacct.service debian/atop.init debian/atopacct.init
+	rm -f debian/atop.service debian/atop.default debian/atopacct.service debian/atop.init debian/atopacct.init
 	rm -f atop atopsar
 
 override_dh_installinit:
+	dh_installinit --name=atopacct
 	dh_installinit --name=atop
-	dh_installinit --name=atopacct
 
 override_dh_auto_install:
 	dh_auto_install
@@ -18,6 +20,7 @@
 	make install DESTDIR=$(shell pwd)/debian/atop
 	cp atop.default debian/atop.default
 	cp atop.service debian/atop.service
+	cp atop.default debian/atop.default
 	cp atopacct.service debian/atopacct.service
 	cp atop.init debian/atop.init
 	cp atopacct.init debian/atopacct.init
