=== debian/changelog ===
atop (2.9.0-1ubuntu1) mantic; urgency=medium

  * d/p/atopacctd_return_error.patch: apply upstream patch to fix SIGFPE in
    acctprocnt() (LP: #1725896, LP: #2037910).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 05 Oct 2023 15:25:12 +1300

atop (2.9.0-1) unstable; urgency=medium

  * new upstream version 2.9.0
  * disable mkdate invocation in Makefile

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 01 Jul 2023 16:37:19 +0200
