=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Marc Haber <atop@packages.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev
 Standards-Version: 4.6.2
