## atop 2.10.0

=== Makefile ===
--- 
+++ 
@@ -20,17 +20,18 @@
 PMPATH2  = /usr/lib64/pm-utils/sleep.d
 PMPATHD  = /usr/lib/systemd/system-sleep
 
-CFLAGS  += -O2 -I. -Wall -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations # -DNOPERFEVENT   # -DHTTPSTATS
+CFLAGS  += -O2 -I. -Wall $(shell pkg-config --cflags glib-2.0)  -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations -Wformat-security # -DNOPERFEVENT   # -DHTTPSTATS
+LDFLAGS  = $(shell pkg-config --libs glib-2.0)
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o  rawlog.o ifprop.o parseable.o
 OBJMOD3  = showgeneric.o drawbar.o   showlinux.o  showsys.o showprocs.o
-OBJMOD4  = atopsar.o  netatopif.o gpucom.o     json.o
+OBJMOD4  = atopsar.o  netatopif.o netatopbpfif.o gpucom.o  json.o utsnames.o
 ALLMODS  = $(OBJMOD0) $(OBJMOD1) $(OBJMOD2) $(OBJMOD3) $(OBJMOD4)
 
 VERS     = $(shell ./atop -V 2>/dev/null| sed -e 's/^[^ ]* //' -e 's/ .*//')
 
-all: 		atop atopsar atopacctd atopconvert atopcat
+all: 		atop atopsar atopacctd atopconvert atopcat atophide
 
 atop:		atop.o    $(ALLMODS) Makefile
 		$(CC) atop.o $(ALLMODS) -o atop -lncursesw -lz -lm -lrt $(LDFLAGS)
@@ -46,6 +47,9 @@
 
 atopcat:	atopcat.o
 		$(CC) atopcat.o -o atopcat $(LDFLAGS)
+
+atophide:	atophide.o
+		$(CC) atophide.o -o atophide -lz $(LDFLAGS)
 
 clean:
 		rm -f *.o atop atopsar atopacctd atopconvert atopcat versdate.h
@@ -136,7 +140,7 @@
 		fi
 
 
-genericinstall:	atop atopacctd atopconvert atopcat
+genericinstall:	atop atopacctd atopconvert atopcat atophide
 		if [ ! -d $(DESTDIR)$(LOGPATH) ]; 		\
 		then	mkdir -p $(DESTDIR)$(LOGPATH); fi
 		if [ ! -d $(DESTDIR)$(DEFPATH) ]; 		\
@@ -168,10 +172,13 @@
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopconvert
 		cp atopcat 		$(DESTDIR)$(BINPATH)/atopcat
 		chmod 0711 		$(DESTDIR)$(BINPATH)/atopcat
+		cp atophide 		$(DESTDIR)$(BINPATH)/atophide
+		chmod 0711 		$(DESTDIR)$(BINPATH)/atophide
 		cp man/atop.1    	$(DESTDIR)$(MAN1PATH)
 		cp man/atopsar.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atopconvert.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atopcat.1 	$(DESTDIR)$(MAN1PATH)
+		cp man/atophide.1 	$(DESTDIR)$(MAN1PATH)
 		cp man/atoprc.5  	$(DESTDIR)$(MAN5PATH)
 		cp man/atopacctd.8  	$(DESTDIR)$(MAN8PATH)
 		cp man/atopgpud.8  	$(DESTDIR)$(MAN8PATH)
@@ -191,6 +198,7 @@
 procdbase.o:	atop.h	photoproc.h
 acctproc.o:	atop.h	photoproc.h atopacctd.h  acctproc.h netatop.h
 netatopif.o:	atop.h	photoproc.h              netatopd.h netatop.h
+netatopbpfif.o:	atop.h	photoproc.h              netatop.h
 photoproc.o:	atop.h	photoproc.h
 photosyst.o:	atop.h	            photosyst.h
 showgeneric.o:	atop.h	photoproc.h photosyst.h  showgeneric.h showlinux.h
@@ -205,3 +213,4 @@
 
 atopconvert.o:	atop.h  photoproc.h photosyst.h  rawlog.h
 atopcat.o:	atop.h  rawlog.h
+atophide.o:	atop.h  photoproc.h photosyst.h  rawlog.h
