=== debian/changelog ===
atop (2.10.0-3) unstable; urgency=medium

  * the #gpn22 upload
  * fix crash on 64bit time_t.
    Thanks to Steve Langasek (Closes: #1069859)
  * proper use of pkg-config to allow cross build.
    Thanks to Helmut Grohne (Closes: #1063698)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Fri, 31 May 2024 13:42:28 +0200

atop (2.10.0-2) unstable; urgency=medium

  * install to /usr.
    Thanks to Chris Hofstaedtler (Closes: #1060334)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 14 Jan 2024 21:18:53 +0100

atop (2.10.0-1) unstable; urgency=medium

  * new upstream version 2.10.0
    * avoids floating point exception when atopacctd fails.
      Thanks to Witold Baryluk (Closes: #1053731)
  * refresh patches
  * add libglib2.0-dev to build-depends
  * remove unnecessary lintian override
  * properly use dpkg-buildflags
  * add new patch that honors locally set LDFLAGS

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sat, 06 Jan 2024 07:07:38 +0100

atop (2.9.0-2) unstable; urgency=medium

  * Apply patch to fix dh_installsystemd.
    Thanks to Helmut Grohne (Closes: #1054092)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 17 Oct 2023 14:26:54 +0200
