=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: atop
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Marc Haber <atop@packages.debian.org>
+Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev
+Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev,
+	libglib2.0-dev, pkgconf, systemd-dev
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://atoptool.nl/
