=== debian/changelog ===
atop (2.11.1-3) unstable; urgency=medium

  * replace sprintf with snprintf.
  * new parameter for format_bandw to get rid of sprintf.
  * fix buffer overflow crash on Raspberry Pi 5 (fake NUMA architecture)
    Thanks to Gerlof Langeveld (Closes: #1106234)

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 28 May 2025 18:07:22 +0200

atop (2.11.1-2) unstable; urgency=medium

  * rewrite postinst to address #1102488

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Sun, 04 May 2025 18:41:13 +0200

atop (2.11.1-1) unstable; urgency=medium

  * new upstream version 2.11.1
  * this solves CVE-2025-31160

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 01 Apr 2025 08:08:22 +0200
