=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
 Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev,
 	libglib2.0-dev, pkgconf, systemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://atoptool.nl/
 Vcs-Git: https://salsa.debian.org/debian/atop.git
