## atop 2.12.0

=== debian/changelog ===
atop (2.12.0-1) unstable; urgency=medium

  * New upstream release
  * update gbp.conf

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Tue, 26 Aug 2025 13:22:49 +0200
