## atop 2.12.1

=== Makefile ===
--- 
+++ 
@@ -21,8 +21,16 @@
 PMPATHD  = /usr/lib/systemd/system-sleep
 
 PKG_CONFIG ?= pkg-config
-CFLAGS  += -O2 -I. -Wall $(shell $(PKG_CONFIG) --cflags glib-2.0)  -Wno-stringop-truncation -Wmissing-prototypes -Wmissing-declarations -Wformat-security # -DNOPERFEVENT   # -DHTTPSTATS
-LDFLAGS += $(shell $(PKG_CONFIG) --libs glib-2.0)
+
+override CFLAGS  := -O2 -I. -Wall $(shell $(PKG_CONFIG) --cflags glib-2.0) -Wmissing-prototypes -Wmissing-declarations -Wformat-security $(CFLAGS) # -DNOPERFEVENT   # -DHTTPSTATS
+
+CC_CHECK := $(shell echo | $(CC) -dM -E - | grep -q __clang__ && echo clang || echo gcc)
+ifeq ($(CC_CHECK),gcc)
+    override CFLAGS += -Wno-stringop-truncation
+endif
+
+override LDFLAGS := $(shell $(PKG_CONFIG) --libs glib-2.0) $(LDFLAGS)
+
 OBJMOD0  = version.o
 OBJMOD1  = various.o  deviate.o   procdbase.o
 OBJMOD2  = acctproc.o photoproc.o photosyst.o cgroups.o rawlog.o ifprop.o parseable.o
@@ -53,7 +61,7 @@
 		$(CC) atophide.o -o atophide -lz $(LDFLAGS)
 
 clean:
-		rm -f *.o atop atopsar atopacctd atopconvert atopcat versdate.h
+		rm -f *.o atop atopsar atopacctd atopconvert atopcat atophide versdate.h
 
 distr:
 		rm -f *.o atop
