=== debian/changelog ===
atop (2.12.1-1) unstable; urgency=medium

  * New upstream version 2.12.1

 -- Marc Haber <mh+debian-packages@zugschlus.de>  Wed, 24 Sep 2025 10:03:19 +0200
