=== debian/control ===
--- 
+++ 
@@ -3,8 +3,12 @@
 Priority: optional
 Maintainer: Marc Haber <atop@packages.debian.org>
 Uploaders: Marc Haber <mh+debian-packages@zugschlus.de>
-Build-Depends: debhelper-compat (= 13), zlib1g-dev, libncurses-dev,
-	libglib2.0-dev, pkgconf, systemd-dev
+Build-Depends: debhelper-compat (= 13)
+Build-Depends-Arch: libglib2.0-dev,
+                    libncurses-dev,
+                    pkgconf,
+                    systemd-dev,
+                    zlib1g-dev
 Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://atoptool.nl/
@@ -14,7 +18,7 @@
 Package: atop
 Architecture: linux-any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Recommends: cron | cron-daemon
 Description: Monitor for system resources and process activity
  Atop is an ASCII full-screen performance monitor, similar to the top command,
