=== debian/tests/control ===
Tests: 01-numcpus
Restrictions: superficial
